i wouldnt upgrade to 1.1.3, there are many bugs